Skip to main content
POST
/
v3
/
style_rules
/
{style_id}
/
custom_instructions
Create a custom instruction
curl --request POST \
  --url https://api.deepl.com/v3/style_rules/{style_id}/custom_instructions \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "prompt": "<string>",
  "source_language": "<string>"
}
'
{
  "id": "68fdb803-c013-4e67-b62e-1aad0ab519cd",
  "label": "Currency custom instruction",
  "prompt": "Have currency symbols before the numerical value (e.g. $100, €100)",
  "source_language": "en"
}

Authorizations

Authorization
string
header
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Path Parameters

style_id
string
required

The ID of the style rule list

Body

application/json
label
string
required

Label for the custom instruction

Maximum string length: 100
prompt
string
required

Instruction text

Maximum string length: 300
source_language
string

Optional source language code

Response

Custom instruction created successfully

All enabled custom instructions for the style rule list

id
string
required

Unique identifier for the custom instruction

Example:

"68fdb803-c013-4e67-b62e-1aad0ab519cd"

label
string
required

Name associated with the custom instruction

Example:

"Currency custom instruction"

prompt
string
required

Prompt of the custom instruction

Example:

"Have currency symbols before the numerical value (e.g. $100, €100)"

source_language
string

Optional source language of the custom instruction

Example:

"en"